Subject: Re: [PATCH net-next 1/5] tipc: silence sparse warnings

From: Ying Xue <[email-masked]>
Date: Fri, 27 Sep 2013 17:48:33 +0800

On 09/27/2013 04:15 PM, Andreas Bofjäll wrote:
> On 09/27/2013 10:01 AM, Ying Xue wrote:
>> Good point!
>> It's better for us to use memcpy_fromiovecend() instead of
>> skb_copy_to_linear_data() and its friends.
>>
>> We will submit another version to correct this error soon.
> 
> I could be wrong here, but I think you should also remove the entire
> cast on line 1210 in link.c:
> 
> sect_crs = msg_sect[curr_sect].iov_base;
> 
> There should be no reason to cast there since you made sect_crs into
> const unchar* __user and msg_sect[].iov_base is void* __user.
> 

You are right, thank you for your nice reminder!

Regards,
Ying

> /Andreas

------------------------------------------------------------------------------
October Webinars: Code for Performance
Free Intel webinars can help you accelerate application performance.
Explore tips for MPI, OpenMP, advanced profiling, and more. Get the most from 
the latest Intel processors and coprocessors. See abstracts and register >
http://pubads.g.doubleclick.net/gampad/clk?id=60133471&iu=/4140/ostg.clktrk